<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Theme footer settings.
 */
		$wp_customize->add_section(
			'digital_theme_footers',
			array(
				'title'       => __( 'Footer Settings', 'digital' ),
				'capability'  => 'edit_theme_options',
				'description' => __( 'Settings Related to footer', 'digital' ),
				'priority'    => apply_filters( 'digital_theme_footers_options_priority', 170 ),
			)
		);
		
		$wp_customize->add_setting(
			'digital_site_info_override',
			array(
				'default'           => 'Proudly powered by WordPress | Design Digital by InsertCart.com',
				'type'              => 'theme_mod',
				'sanitize_callback' => 'wp_kses_post',
				'capability'        => 'edit_theme_options',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Control(
				$wp_customize,
				'digital_site_info_override',
				array(
					'label'       => __( 'Footer Site Info', 'digital' ),
					'description' => __( 'Override Digital\'s site info located at the footer of the page.', 'digital' ),
					'section'     => 'digital_theme_footers',
					'type'        => 'textarea',
					'priority'    => 60,
				)));
		
		//Footer bg
		$wp_customize->add_setting( 'digital_footerbg' , array(
			'default'     => '#e9ecef',
			'transport'   => 'postMessage',
			'sanitize_callback'	=> 'sanitize_hex_color',
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'digital_footerbg', array(
		'label'        => __( 'Footer Widget Area', 'digital' ),
		'description'        => __( 'Footer Widget Area Background Color', 'digital' ),
		'section'    => 'digital_theme_footers',
		'settings'   => 'digital_footerbg',
		) ) );
		//Footer bg
		$wp_customize->add_setting( 'digital_footer_copy' , array(
			'default'     => '#494949',
			'transport'   => 'postMessage',
			'sanitize_callback'	=> 'sanitize_hex_color',
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'digital_footer_copy', array(
		'label'        => __( 'Footer Copyright Area', 'digital' ),
		'description'        => __( 'Footer Copyright Background Color', 'digital' ),
		'section'    => 'digital_theme_footers',
		'settings'   => 'digital_footer_copy',
		) ) );